# Dotfiles config repo (neovim, bash, git, sway ...)

Save this script to $XDG_CONFIG_HOME/systemd/user/dotfiles.service:

```
[Unit]
Description=Stow dotfile linker
Documentation=man:stow(1)
Before=wayland-session.target
Conflicts=wayland-session.target

[Service]
Type=oneshot
WorkingDirectory=%h/dev/dotfiles
RemainAfterExit=true
ExecStart=/usr/bin/stow --target=%h bash/ git/
ExecStart=/usr/bin/stow --target=%h/.config/nvim --adopt nvim/
ExecStart=/usr/bin/stow --target=%h/.config --adopt sway-all/
ExecStart=/usr/bin/stow --target=%h/gnupg --adopt gnupg/
ExecStop=/usr/bin/stow --delete --target=%h bash/ git/
ExecStop=/usr/bin/stow --delete --target=%h/.config/nvim --adopt nvim/
ExecStop=/usr/bin/stow --delete --target=%h/.config --adopt sway-all/
ExecStop=/usr/bin/stow --delete --target=%h/gnupg --adopt gnupg/

[Install]
WantedBy=default.target
```

And enable it:

```sh
systemctl --user enable --now dotfiles.service
```

---
**TODO**

Make it a single tree, e.g. follow $HOME's hierarchy.

---
